TransferUtils (The Data Transfer Agent Service 2.1.0-3.10.1 API)
Date: 2016-03-03

org.gcube.datatransfer.agent.impl.utils

## Class TransferUtils

- java.lang.Object
- - org.gcube.datatransfer.agent.impl.utils.TransferUtils

-     public class TransferUtils
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.apache.axis.components.uuid.UUIDGen` | `uuidgen` The UUIDGen

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransferUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `applyPostProcess(org.gcube.datatransfer.agent.stubs.datatransferagent.PostProcessType type, org.apache.commons.vfs2.FileObject file, org.apache.commons.vfs2.FileObject path, String conversionType)`
    `static boolean` | `applyPostProcess(org.gcube.datatransfer.agent.stubs.datatransferagent.PostProcessType type, String file, String path, String conversionType)`
    `static org.apache.commons.vfs2.FileSystemOptions` | `createDefaultOptions(String URI)`
    `static Transfer` | `createTransferJDO(String transferId)`
    `static Transfer` | `createTransferJDO(String transferId, String sourceID, String destID)`
    `static TransferObject` | `createTransferObjectJDO(String transferId, org.gcube.datatransfer.agent.stubs.datatransferagent.TransferType type)`
    `static String` | `getMimeType(String fileUrl)`
    `static long` | `getTotalSize(String[] inputURIs)`
    `static org.apache.commons.vfs2.FileObject` | `prepareFileObject(String URI)`
    `static void` | `unzipArchive(String baseFolder, String archiveFile)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### uuidgen

          protected static final org.apache.axis.components.uuid.UUIDGen uuidgen

      The UUIDGen

  - ### Constructor Detail

    - #### TransferUtils

          public TransferUtils()

  - ### Method Detail

    - #### createTransferJDO

          public static Transfer createTransferJDO(String transferId)

    - #### createTransferJDO

          public static Transfer createTransferJDO(String transferId,
                                   String sourceID,
                                   String destID)

    - #### getTotalSize

          public static long getTotalSize(String[] inputURIs)
                                   throws Exception

      Throws:
        `Exception`

    - #### createTransferObjectJDO

          public static TransferObject createTransferObjectJDO(String transferId,
                                               org.gcube.datatransfer.agent.stubs.datatransferagent.TransferType type)

    - #### unzipArchive

          public static void unzipArchive(String baseFolder,
                          String archiveFile)
                                   throws Exception

      Throws:
        `Exception`

    - #### getMimeType

          public static String getMimeType(String fileUrl)
                                    throws IOException

      Throws:
        `IOException`

    - #### createDefaultOptions

          public static org.apache.commons.vfs2.FileSystemOptions createDefaultOptions(String URI)
                                                                                throws org.apache.commons.vfs2.FileSystemException

      Throws:
        `org.apache.commons.vfs2.FileSystemException`

    - #### prepareFileObject

          public static org.apache.commons.vfs2.FileObject prepareFileObject(String URI)
                                                                      throws org.apache.commons.vfs2.FileSystemException

      Throws:
        `org.apache.commons.vfs2.FileSystemException`

    - #### applyPostProcess

          public static boolean applyPostProcess(org.gcube.datatransfer.agent.stubs.datatransferagent.PostProcessType type,
                                 org.apache.commons.vfs2.FileObject file,
                                 org.apache.commons.vfs2.FileObject path,
                                 String conversionType)
                                          throws Exception

      Throws:
        `Exception`

    - #### applyPostProcess

          public static boolean applyPostProcess(org.gcube.datatransfer.agent.stubs.datatransferagent.PostProcessType type,
                                 String file,
                                 String path,
                                 String conversionType)
                                          throws Exception

      Throws:
        `Exception`

Copyright © 2016. All Rights Reserved.